Broodje_Settings = {
	MinimapPos = 45	
	
}

	LoadOnStart = 1;
	LoadMinimapButton = 1;
	Layout = 1;
	SliderOpacity = 1;

function maakvoedsel()
SortWho(name);
end

function Broodje_MinimapButton_Reposition()
	Broodje_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(Broodje_Settings.MinimapPos)),(80*sin(Broodje_Settings.MinimapPos))-52)
end

-- Only while the button is dragged this is called every frame
function Broodje_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70 -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70

	Broodje_Settings.MinimapPos = math.deg(math.atan2(ypos,xpos)) -- save the degrees we are relative to the minimap center
	Broodje_MinimapButton_Reposition() -- move the button
end

-- Put your code that you want on a minimap button click here.  arg1="LeftButton", "RightButton", etc
function Broodje_MinimapButton_OnClick()
	if Frame1:IsVisible() == 1 then
	Frame1:Hide();
	else 
	Frame1:Show();
	end
end

function Broodje_CheckStats()
local playerClass, englishClass = UnitClass("player");
local playerLevel = tonumber(UnitLevel("player"));
if englishClass == "MAGE" and playerLevel >= 75 then
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. All functions have been loaded.");
elseif englishClass == "MAGE" and playerLevel < 4 then
Frame1ButtonFoodBuff:Disable();
Frame1ButtonDrinkBuff:Disable();
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 4, 6, ,28, 70 and 75 to unlock the Drink, Food, , Mana Gem,  Table and Refreshment functions respectively.");
elseif englishClass == "MAGE" and playerLevel > 4 and playerLevel < 6 then
Frame1ButtonFoodBuff:Disable();
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 6, ,28, 70 and 75 to unlock the Food, Mana Gem,  Table and Refreshment functions respectively.");
elseif englishClass == "MAGE" and playerLevel > 6 and playerLevel < 28 then
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 28, 70 and 75 to unlock the Mana Gem,  Table and Refreshment functions respectively.");
elseif englishClass == "MAGE" and playerLevel > 28 and playerLevel < 70 then
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 70 and 75 to unlock the Table and Refreshment functions respectively.");
elseif englishClass == "MAGE" and playerLevel > 70 and playerLevel < 75 then
Frame1ButtonRefreshBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. You need to reach level 75 to unlock the Refreshment function.");
else
Frame1ButtonFoodBuff:Disable();
Frame1ButtonDrinkBuff:Disable();
Frame1ButtonTableBuff:Disable();
Frame1ButtonRefreshBuff:Disable();
Frame1ButtonManaGemBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. All functions have been disabled. Please logon to a Mage character to enable them.");
end
end

function Broodje_StartupCheck()
if LoadOnStart == 1 then 
StrudelStoreOptionFrameCheckButton:SetChecked(true);
Frame1:Show();
elseif LoadOnStart == 0 then
StrudelStoreOptionFrameCheckButton:SetChecked(false);
Frame1:Hide();
end
if LoadMinimapButton == 1 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(true);
Broodje_MinimapButton:Show();
elseif LoadMinimapButton == 0 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(false);
Broodje_MinimapButton:Hide();
end
LayoutSettingSlider:SetValue(SliderOpacity);
Frame1:SetAlpha(SliderOpacity);
end

function MinimapCheckHiddenButton()
if LoadMinimapButton == 1 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(true);
Broodje_MinimapButton:Show();
elseif LoadMinimapButton == 0 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(false);
Broodje_MinimapButton:Hide();
end
end

function Broodje_StartupCheck2()
if LoadOnStart == 1 then 
StrudelStoreOptionFrameCheckButton:SetChecked(true);
elseif LoadOnStart == 0 then
StrudelStoreOptionFrameCheckButton:SetChecked(false);
end
if LoadMinimapButton == 1 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(true);
elseif LoadMinimapButton == 0 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(false);
end
end

function Broodje_GetStartupSetting()
if StrudelStoreOptionFrameCheckButton:GetChecked() then
LoadOnStart = 1;
else
LoadOnStart = 0;
end
if StrudelStoreOptionFrameMinimapCheckButton:GetChecked() then
LoadMinimapButton = 1;
else
LoadMinimapButton = 0;
end
end

function Broodje_OptionsOk()
Broodje_GetStartupSetting(); 
MinimapCheckHiddenButton(); 
end

function Broodje_CancelSettings()
Broodje_StartupCheck2();
end

function Broodje_SetDefaults()
StrudelStoreOptionFrameCheckButton:SetChecked(true); 
LoadOnStart = 1;
LoadMinimapButton = 1;
end

 function Strudeloptionpanel_OnLoad(strudelpanel)

		Optietitel:SetFont("Fonts\\FRIZQT__.TTF", 18, "THICKOUTLINE");
		Optietitel:SetTextColor( 0,.56,0.76,1 ) ;
		LayoutSettingSlider:ClearAllPoints()
		LayoutSettingSlider:SetPoint("CENTER", strudelpanel, "CENTER", -69, 80)
		LayoutSettingSlider:SetMinMaxValues(0.25, 1)
		LayoutSettingSlider:SetValue(SliderOpacity);
		Frame1:SetAlpha(SliderOpacity);
		getglobal(LayoutSettingSlider:GetName() .. 'Low'):SetText('0.25');
		getglobal(LayoutSettingSlider:GetName() .. 'High'):SetText('1');
		getglobal(LayoutSettingSlider:GetName() .. 'Text'):SetText('Opacity');
		LayoutSettingSlider:Show();
		getglobal(StrudelStoreOptionFrameCheckButton:GetName() .. "Text"):SetText("Show on login");
		getglobal(StrudelStoreOptionFrameMinimapCheckButton:GetName() .. "Text"):SetText("Show minimap button");
        strudelpanel.name = "StrudelStore " .. GetAddOnMetadata("StrudelStore", "Version");
        strudelpanel.okay = function (self) Broodje_OptionsOk(); end;
		strudelpanel.default = function (self) Broodje_SetDefaults(); end;
		strudelpanel.cancel = function (self) Broodje_CancelSettings(); end;
        -- Add the panel to the Interface Options
        --
        InterfaceOptions_AddCategory(strudelpanel);
    end
function OpenStrudelOptionPanel()
		InterfaceOptionsFrame_OpenToCategory("StrudelStore " .. GetAddOnMetadata("StrudelStore", "Version"));
		Frame1:Hide();
end
SLASH_STRUDELSTORE1, SLASH_STRUDELSTORE2 = '/strudelstore', '/strudel';
function SlashCmdList.STRUDELSTORE(msg, editbox)
 if msg == 'show' then
  Frame1:Show();
 elseif msg == 'hide' then
 Frame1:Hide();
 elseif msg == 'options' then
 OpenStrudelOptionPanel();
 else
 DEFAULT_CHAT_FRAME:AddMessage("Strudelstore " .. GetAddOnMetadata("StrudelStore", "Version"));
 DEFAULT_CHAT_FRAME:AddMessage("The following commands are available:");
 DEFAULT_CHAT_FRAME:AddMessage("Syntax:  /Strudelstore [command] or /Strudel [command]");
 DEFAULT_CHAT_FRAME:AddMessage("Options  --Shows the option pane");
 DEFAULT_CHAT_FRAME:AddMessage("Show  --Shows the main pane");
 DEFAULT_CHAT_FRAME:AddMessage("Hide  --Hides the main pane");
 end

end
function Opacity_Update()
SliderOpacity = LayoutSettingSlider:GetValue();
Frame1:SetAlpha(SliderOpacity);
end

